package com.ningdatech.pmapi.sys.manage;

import cn.hutool.core.bean.BeanUtil;
import com.ningdatech.basic.util.CollUtils;
import com.ningdatech.pmapi.common.util.TreeUtil;
import com.ningdatech.pmapi.sys.model.entity.Menu;
import com.ningdatech.pmapi.sys.model.vo.MenuRoleVO;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * <p>
 * MenuManage - 菜单管理业务层
 * </p>
 *
 * @author WendyYang
 * @since 14:23 2023/1/28
 */
@Component
@RequiredArgsConstructor
public class MenuManage {

    public List<MenuRoleVO> buildUserMenu(List<Menu> list) {
        List<MenuRoleVO> menuRoles = CollUtils.convert(list, w -> BeanUtil.copyProperties(w, MenuRoleVO.class));
        return TreeUtil.buildUserTree(menuRoles);
    }

}
